Bug 98924 - In windows, change the keyboard layout per application
Summary: In windows, change the keyboard layout per application
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All Windows (All)
: medium enhancement
Assignee: Juergen Funk (CIB)
QA Contact: Juergen Funk (CIB)
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-27 17:26 UTC by Juergen Funk (CIB)
Modified: 2016-09-16 06:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Funk (CIB) 2016-03-27 17:26:33 UTC
Under windows you can change the keyboard layout per application, when run LO it is possible but the HotKeys would be only init in the start phase here http://opengrok.libreoffice.org/xref/core/vcl/win/source/app/salinst.cxx#333, and not reinit the HotKeys. 
The advantage of this feature is you can use the english Key-Layout and the HotKeys, for example CTRL-[ works under german key-layout when switch to ENglisch.
Comment 1 Juergen Funk (CIB) 2016-03-27 19:45:02 UTC
here the patch https://gerrit.libreoffice.org/23556
Comment 2 V Stuart Foote 2016-03-28 03:07:33 UTC
Hey sounds great--but if it passes code review, the feature will need documentation. And of course it is preferred, and helps for maintenance, if the same could be implemented for OS X and the Linux flavors in addition to Windows.

And, while it would be great if it is as simple as resetting elements in salinst.cxx and salframe.cxx and restarting--it kind of seems like the profile may need more care and feeding than just that. But I'm no dev.
Comment 3 Thorsten Behrens (CIB) 2016-05-11 15:45:01 UTC
(In reply to V Stuart Foote from comment #2)
> Hey sounds great--but if it passes code review, the feature will need
> documentation.
>
Juergen - how about a blog article? Other than that, please add it to the 5.2 release notes: https://wiki.documentfoundation.org/ReleaseNotes/5.2
Comment 4 Commit Notification 2016-05-11 15:45:48 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0761614ccf5beb9051fb132c5f1990198f32967f

tdf#98924  In windows, change the keyboard layout per application

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2016-09-15 22:36:31 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 6 Juergen Funk (CIB) 2016-09-16 06:02:51 UTC
Hi Xisco Faulí,

the bug is fixed, i do it